# ReflectionClass::export

(PHP 5, PHP 7)

ReflectionClass::export — Exports a class

Warnung

Diese Funktion ist seit PHP 7.4.0 als DEPRECATED (veraltet) markiert und wurde in PHP 8.0.0 ENTFERNT. Von der Verwendung dieser Funktion wird dringend abgeraten.

### Beschreibung

public static ReflectionClass::export(mixed `$argument`, bool `$return` = `false`): string

Exports a reflected class.

### Parameter-Liste

`argument`

  Die Reflection, die exportiert werden soll.

`return`

  Wird dies auf `true` gesetzt, so wird der Export zurückgegeben anstelle ihn auszugeben. Wird dies auf `false` gesetzt (der Standardwert), wird das Gegenteil passieren.

### Rückgabewerte

Falls der Parameter `return` auf `true` gesetzt ist, so wird der Export als ein String zurückgegeben, andernfalls wird `null` zurückgegeben.

### Beispiele

Beispiel #1 Basic usage of ReflectionClass::export()

`<?php
class Apple {
public $var1;
public $var2 = 'Orange';
public function type() {
return 'Apple';
}
}
ReflectionClass::export('Apple');
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    Class [ <user> class Apple ] {
      @@ php shell code 1-8

      - Constants [0] {
      }

      - Static properties [0] {
      }

      - Static methods [0] {
      }

      - Properties [2] {
        Property [ <default> public $var1 ]
        Property [ <default> public $var2 ]
      }

      - Methods [1] {
        Method [ <user> public method type ] {
          @@ php shell code 5 - 7
        }
      }
    }

### Siehe auch

- ReflectionClass::getName() - Gets class name
- ReflectionClass::__toString() - Returns the string representation of the ReflectionClass object

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open